Remove kerberosIV from the build.
[dragonfly.git] / kerberos5 / lib / libtelnet / Makefile
1 # $FreeBSD: src/kerberos5/lib/libtelnet/Makefile,v 1.14.2.4 2003/04/24 19:13:59 nectar Exp $
2 # $DragonFly: src/kerberos5/lib/libtelnet/Attic/Makefile,v 1.3 2003/08/05 07:45:40 asmodai Exp $
3
4 LIB=            telnet
5
6 INTERNALLIB=    yes
7
8 SRCS=           genget.c getent.c misc.c encrypt.c auth.c \
9                 enc_des.c sra.c pk.c kerberos5.c
10
11 #WARNS?=                2
12
13 CFLAGS+=        -DENCRYPTION -DAUTHENTICATION -DSRA -I${TELNETDIR}
14 CFLAGS+=        -DKRB5 -I${KRB5DIR}/lib/krb5 -I${KRB5OBJDIR} -I${ASN1OBJDIR}
15 CFLAGS+=        -DFORWARD -Dnet_write=telnet_net_write
16
17 INCS=           ${TELNETDIR}/arpa/telnet.h
18 INCSDIR=        ${INCLUDEDIR}/arpa
19
20 .include <bsd.lib.mk>
21
22 .PATH:  ${TELNETDIR}/libtelnet
23
24 #
25 # Remove obsolete shared libraries, if any.  We don't bother moving them
26 # to /usr/lib/compat, since they were only used by telnet, telnetd and
27 # tn3270.
28 #
29 beforeinstall: __remove-stale-libs
30 __remove-stale-libs: .PHONY
31 .if exists(${DESTDIR}${SHLIBDIR}/lib${LIB}.so.2.0)
32         -chflags noschg ${DESTDIR}${SHLIBDIR}/lib${LIB}.so.2.0
33         rm -f ${DESTDIR}${SHLIBDIR}/lib${LIB}.so.2.0
34 .endif